﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Globalization;
using Infragistics.Controls.Grids.Primitives;
using Infragistics;
using System.ComponentModel;

namespace XamGrid_sample
{
    public partial class MainPage : UserControl
    {
        public ObservableCollection<Item> Items { get; set; }

        public MainPage()
        {
            InitializeComponent();

            Items = new ObservableCollection<Item>();
            for (int i = 1; i <= 5; i++)
            {
                Items.Add(new Item("Item " + i, i, i * 3));
            }

            this.DataContext = this;
        }

        private void xamGrid_CellControlAttached(object sender, CellControlAttachedEventArgs e)
        {
            var weightColumn = (sender as XamGrid).Columns["Weight"] as Column;

            if (e.Cell.Column == weightColumn)
            {
                double cellVal = 0.0;
                double.TryParse(e.Cell.Value.ToString(), out cellVal);


                if (cellVal > 20.0)
                    ToolTipService.SetToolTip(e.Cell.Control as CellControl, null);
                else
                    ToolTipService.SetToolTip(e.Cell.Control as CellControl, cellVal);
            }
        }
        
    }
}
